Package org.eclipse.emf.cdo.lm.util

# Interface LMMerger

All Known Subinterfaces:
  `LMMerger2`

public interface LMMerger

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LMMerger`
`CORE`

## Method Summary

Modifier and Type
Method
Description
`long`
`mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)`
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.

## Field Details

### CORE

static final LMMerger CORE

## Method Details

### mergeDelivery

long mergeDelivery(CDOSession session, CDOBranchPoint sourceBranchPoint, CDOBranch targetBranch)
Merges the changes from the given source branch point into the given target branch and returns the time stamp of the resulting commit into the merge target branch, or `CDOBranchPoint.INVALID_DATE` if no commit has happened.